org.eclipse.viatra.query.patternlanguage.ui.quickfix

## Class PatternLanguageQuickfixProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider
  - - org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider
    - - org.eclipse.viatra.query.patternlanguage.ui.quickfix.PatternLanguageQuickfixProvider

- All Implemented Interfaces:
    org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

      public class PatternLanguageQuickfixProvider
      extends org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

      `org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider.CancelableResolutionAcceptor, org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider.CrossRefResolutionConverter`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider

      `org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider.NullImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageQuickfixProvider()`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.DefaultQuickfixProvider

      `createLinkingIssueResolutions, fixCrossReferenceImage, fixCrossReferenceLabel, getCancelableAcceptor, getCancelManager, getModificationContextFactory, getQualifiedNameConverter, getResolutions, getResolutionsForLinkingIssue, getScopeProvider, getSimilarityMatcher, getUnresolvedEReference, hasResolutionFor, queryScope`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.quickfix.AbstractDeclarativeQuickfixProvider

      `collectMethods, getFixMethodPredicate, getFixMethods, getIssueResolutionAcceptorProvider, getResolutions, setIssueResolutionAcceptorProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageQuickfixProvider

          public PatternLanguageQuickfixProvider()